%if 0%{?el7}
%define dist .el7
%endif

Name:           c-icap-modules
Version:        0.5.1
Release:        1%{?dist}
Summary:        Modules for c-icap.

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:          Development/Libraries
License:        GPLv2
URL:            http://c-icap.sourceforge.net/
Source0:        http://sourceforge.net/projects/c-icap/files/c-icap-modules/0.5.x/c_icap_modules-%{version}.tar.gz
Source1:        %{name}-ja.tar.xz
Source2:        %{name}-createSG.sh
Source3:        c_icap_yara.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libdb-devel
%endif
%if 0%{?el6}
BuildRequires:  db4-devel
%endif
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  c-icap-devel
BuildRequires:  clamav-devel
BuildRequires:  gdbm-devel
Requires:       c-icap

%description
%{summary}.

%package clamav
Summary:        c-icap modules for clamav antivirus
Group:          Development/Libraries
Requires:       clamav-lib
Obsoletes:      clamav-c-icap < 0.3.2-8

%description clamav
%{summary}.

%prep
%setup -q -n c_icap_modules-%{version}

%build
%configure \
	--enable-shared \
	--with-c-icap \
	--with-zlib \
	--with-bzlib \
	--with-clamav \
	--with-bdb

make %{?_smp_mflags}

xz -dc %{SOURCE1} | tar -xf -
install -D -m755 %{SOURCE2} contrib/create-sguard-DB-wrapper.sh

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/c-icap
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' | xargs rm

pushd %{name}-ja
cp -rp srv_url_check/ja $RPM_BUILD_ROOT%{_datadir}/c_icap/templates/srv_url_check/
cp -rp virus_scan/ja $RPM_BUILD_ROOT%{_datadir}/c_icap/templates/virus_scan/
popd

if [ ! -f $RPM_BUILD_ROOT%{_sysconfdir}/c-icap/srv_content_filtering.conf ]
then
install -D -m0644 services/content_filtering/srv_content_filtering.conf.default $RPM_BUILD_ROOT%{_sysconfdir}/c-icap/srv_content_filtering.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL NEWS README contrib/
%{!?_licensedir:%global license %%doc}
%license COPYING
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/srv_content_filtering.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/srv_url_check.conf
%attr(0644,root,root) %config %{_sysconfdir}/c-icap/srv_content_filtering.conf.default
%attr(0644,root,root) %config %{_sysconfdir}/c-icap/srv_url_check.conf.default
%{_bindir}/c-icap-mods-sguardDB
%{_libdir}/c_icap/srv_url_check.so
%{_libdir}/c_icap/srv_content_filtering.so
%{_datadir}/c_icap/templates/srv_url_check/*
%{_datadir}/c_icap/templates/srv_content_filtering/*
%{_mandir}/man8/*.8.gz

%files clamav
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/clamd_mod.conf
%attr(0644,root,root) %config %{_sysconfdir}/c-icap/clamd_mod.conf.default
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/virus_scan.conf
%attr(0644,root,root) %config %{_sysconfdir}/c-icap/virus_scan.conf.default
%{_libdir}/c_icap/clamd_mod.so
%{_libdir}/c_icap/virus_scan.so
%{_datadir}/c_icap/templates/virus_scan/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/clamav_mod.conf
%attr(0644,root,root) %config %{_sysconfdir}/c-icap/clamav_mod.conf.default
%{_libdir}/c_icap/clamav_mod.so

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 0.5.1-1
- Update to 0.5.1

* Sat Oct 01 2016 momo-i <webmaster@momo-i.org> - 0.4.4-1
- Update to 0.4.4

* Fri Mar 04 2016 momo-i <webmaster@momo-i.org> - 0.4.1-3
- Re-enable clamav_mod

* Mon Sep 28 2015 momo-i <webmaster@momo-i.org> - 0.4.1-2
- Fixed do not install srv_content_filtering.conf

* Mon Sep 28 2015 momo-i <webmaster@momo-i.org> - 0.4.1-1
- Update to 0.4.1

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.3.2-11
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.3.2-10
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.3.2-9
- Remove clamav*.conf* and clamav*.so

* Mon Jan 20 2014 momo-i <webmaster@momo-i.org> - 0.3.2-8
- renamed package c-icap-modules-clamav from clamav-c-icap

* Wed Jan 15 2014 momo-i <webmaster@momo-i.org> - 0.3.2-7
- Update to 0.3.2

* Mon Dec  2 2013 momo-i <webmaster@momo-i.org> - 0.3.1-7
- replaced clamav patch with official

* Mon Nov 25 2013 momo-i <webmaster@momo-i.org> - 0.3.1-6
- sepalated package.

* Wed Nov 20 2013 momo-i <webmaster@momo-i.org> - 0.3.1-5
- Fixed do not work clamd_mod on clamav 0.98

* Tue Nov 19 2013 momo-i <webmaster@momo-i.org> - 0.3.1-4
- Add contrib

* Mon Nov 18 2013 momo-i <webmaster@momo-i.org> - 0.3.1-3
- Add japanese translation?

* Mon Nov 18 2013 momo-i <webmaster@momo-i.org> - 0.3.1-2
- fixed config permissions.

* Thu Nov 14 2013 momo-i <webmaster@momo-i.org> - 0.3.1-1
- Update to 0.3.1

* Wed Oct  9 2013 momo-i <webmaster@momo-i.org> - 0.2.5-1
- Initial rpm release.
